Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`, `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode
      extends com.google.protobuf.GeneratedMessage
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,​Type extends Object>`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ITERATIONLEVELS_FIELD_NUMBER` |
    `static int` | `NODE_INSTANCE_FIELD_NUMBER` |
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode>` | `PARSER` |
    `static int` | `SEQUENTIAL_COUNTER_FIELD_NUMBER` |
    `static int` | `TIMER_INSTANCE_ID_FIELD_NUMBER` |
    `static int` | `VARIABLE_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getDefaultInstance()` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `JBPMMessages.IterationLevel` | `getIterationLevels​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `int` | `getIterationLevelsCount()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `List<JBPMMessages.IterationLevel>` | `getIterationLevelsList()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `JBPMMessages.IterationLevelOrBuilder` | `getIterationLevelsOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `List<? extends JBPMMessages.IterationLevelOrBuilder>` | `getIterationLevelsOrBuilderList()` | `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `int` | `getNodeInstanceCount()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` | `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode>` | `getParserForType()` |
    `int` | `getSequentialCounter()` | `optional int32 sequential_counter = 4;`
    `int` | `getSerializedSize()` |
    `long` | `getTimerInstanceId​(int index)` | `repeated int64 timer_instance_id = 5;`
    `int` | `getTimerInstanceIdCount()` | `repeated int64 timer_instance_id = 5;`
    `List<Long>` | `getTimerInstanceIdList()` | `repeated int64 timer_instance_id = 5;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
    `JBPMMessages.Variable` | `getVariable​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `int` | `getVariableCount()` | `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `List<JBPMMessages.Variable>` | `getVariableList()` | `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder​(int index)` | `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` | `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `boolean` | `hasSequentialCounter()` | `optional int32 sequential_counter = 4;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `newBuilder()` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `newBuilder​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode prototype)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `newBuilderForType()` |
    `protected JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessage.BuilderParent parent)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseDelimitedFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(byte[] data)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(InputStream input)` |
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder` | `toBuilder()` |
    `protected Object` | `writeReplace()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, newFileScopedGeneratedExtension, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode> PARSER

    - #### NODE_INSTANCE_FIELD_NUMBER

          public static final int NODE_INSTANCE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### VARIABLE_FIELD_NUMBER

          public static final int VARIABLE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ITERATIONLEVELS_FIELD_NUMBER

          public static final int ITERATIONLEVELS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SEQUENTIAL_COUNTER_FIELD_NUMBER

          public static final int SEQUENTIAL_COUNTER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TIMER_INSTANCE_ID_FIELD_NUMBER

          public static final int TIMER_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getDefaultInstance()

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getNodeInstanceList

          public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
      Specified by:
        `getNodeInstanceList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getNodeInstanceOrBuilderList

          public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
      Specified by:
        `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getNodeInstanceCount

          public int getNodeInstanceCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
      Specified by:
        `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getNodeInstance

          public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
      Specified by:
        `getNodeInstance` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getNodeInstanceOrBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
      Specified by:
        `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getVariableList

          public List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 2;`
      Specified by:
        `getVariableList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getVariableOrBuilderList

          public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 2;`
      Specified by:
        `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getVariableCount

          public int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 2;`
      Specified by:
        `getVariableCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getVariable

          public JBPMMessages.Variable getVariable​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 2;`
      Specified by:
        `getVariable` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getVariableOrBuilder

          public JBPMMessages.VariableOrBuilder getVariableOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 2;`
      Specified by:
        `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getIterationLevelsList

          public List<JBPMMessages.IterationLevel> getIterationLevelsList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
      Specified by:
        `getIterationLevelsList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getIterationLevelsOrBuilderList

          public List<? extends JBPMMessages.IterationLevelOrBuilder> getIterationLevelsOrBuilderList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
      Specified by:
        `getIterationLevelsOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getIterationLevelsCount

          public int getIterationLevelsCount()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
      Specified by:
        `getIterationLevelsCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getIterationLevels

          public JBPMMessages.IterationLevel getIterationLevels​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
      Specified by:
        `getIterationLevels` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getIterationLevelsOrBuilder

          public JBPMMessages.IterationLevelOrBuilder getIterationLevelsOrBuilder​(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
      Specified by:
        `getIterationLevelsOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### hasSequentialCounter

          public boolean hasSequentialCounter()

      `optional int32 sequential_counter = 4;`
      Specified by:
        `hasSequentialCounter` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getSequentialCounter

          public int getSequentialCounter()

      `optional int32 sequential_counter = 4;`
      Specified by:
        `getSequentialCounter` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 5;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 5;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### getTimerInstanceId

          public long getTimerInstanceId​(int index)

      `repeated int64 timer_instance_id = 5;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(com.google.protobuf.ByteString data)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(com.google.protobuf.ByteString data,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(byte[] data)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(byte[] data,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(InputStream input)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(InputStream input,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseDelimitedFrom​(InputStream input)
                                                                                                 throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseDelimitedFrom​(InputStream input,
                                                                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                                 throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(com.google.protobuf.CodedInputStream input)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                        throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder newBuilder()

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder newBuilder​(JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder newBuilderForType​(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`